Get all lookup code translations

get

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/{cases_id}/contributingFactors/{cases-contributingFactors_id}/$translations

Request

Path Parameters
  • This path parameter maps to a composite key that consists of the following fields defined in the Cases/Contributing Factors REST resource:
    1. lookupType: The unique identifier of the Lookup Type.
    2. lookupCode: The unique identifier of the Lookup Code.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
  • This path parameter maps to the following field defined in the Cases REST resource:
    1. caseNumber: The unique number that's used to identify a case. You can edit the case number to a format that's best suitable to your requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_collection-response
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_collection-response-allOf[1]
Type: object
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-response
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item
Match All
Contains the translated choice data in the supported languages.
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-fields
Type: object
Show Source
Nested Schema : Lookup Code Translation
Type: object
Title: Lookup Code Translation
Contains the translated choice data in the supported languages.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : lookupCodeTranslationBase
Match All
The lookup codes list of values resource is used to query the list of lookup codes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Lookup Code
Type: object
Title: Lookup Code
The lookup codes list of values resource is used to query the list of lookup codes.
Nested Schema : $context
Type: object
Show Source
Back to Top